<?php

class IBX_WPFomo_LearnDash_Helper {
    /**
     * Get course posts.
     */
    static public function get_courses( $max = '-1' )
    {
        $args = array(
            'post_type'         => 'sfwd-courses',
            'post_status'       => 'publish',
            'posts_per_page'    => $max
        );

        return get_posts( $args );
    }

    /**
     * Get options value for course drop down.
     */
    static public function get_courses_list( $max = '-1' )
    {
        $courses = self::get_courses( $max );
        $options  = array( '' => __('All Courses', 'ibx-wpfomo') );

        foreach ( $courses as $course ) {
            $options[$course->ID] = $course->post_title;
        }

        return $options;
    }

    /**
     * Get all orders of a course.
     */
    static public function get_orders_by_course( $course_id )
    {
        global $wpdb;

        $table = $wpdb->prefix . 'learndash_user_activity';

        $orders = $wpdb->get_results( $wpdb->prepare( "
            SELECT * FROM {$table}
            WHERE post_id = %s
            AND activity_type = 'course'
            AND activity_status = '1'
            ORDER BY activity_started DESC
        ", $course_id ) );

        return $orders;
    }

    /**
     * Get all orders.
     */
    static public function get_orders()
    {
        global $wpdb;

        $table = $wpdb->prefix . 'learndash_user_activity';

        $orders = $wpdb->get_results( $wpdb->prepare( "
            SELECT * FROM {$table}
            WHERE activity_type = %s
            AND activity_status = '1'
            ORDER BY activity_started DESC
        ", 'course' ) );

        return $orders;
    }
}
